Prints
Your prints with duration, grams per spool and material cost.
List prints
GET/prints
Newest first. cost is in the currency of the account, null without a known price. status: success, failed, cancelled, printing, paused, unknown. For a deleted spool its id is null.
Parameters
limit- 1 to 200, default 100
offset- 0 to 1,000,000, default 0
curl "https://spooly.eu/api/v1/prints?limit=20" \
-H "Authorization: Bearer $SPOOLY_KEY"Response 200
{
"items": [
{
"id": "b5e0c3d2-91a4-4f7e-8c16-0d2f9a7e4b18",
"name": "Kabelhalter v3",
"status": "success",
"started_at": "2026-10-30T14:02:00Z",
"finished_at": "2026-10-30T15:32:00Z",
"duration_seconds": 5400,
"printer": "X1 Carbon von Tobi",
"spools": [
{
"id": "7f3c2a10-5e1b-4c8e-9a44-2d6b1f0c7e21",
"number": 1,
"title": "Jade White",
"grams": 48.2
}
],
"cost": 0.96
}
],
"total": 640,
"limit": 20,
"offset": 0
}